# Anoncreds

[![pypi releases](https://img.shields.io/pypi/v/anoncreds)](https://pypi.org/project/anoncreds/)

A Python wrapper around the `anoncreds` Rust library, this module provides support for Hyperledger Anoncreds verifiable credential issuance, presentation, and verification.

## Credit

The initial implementation of `anoncreds` / `indy-shared-rs` was developed by the Verifiable Organizations Network (VON) team based at the Province of British Columbia, and derives largely from the implementations within [Hyperledger Indy-SDK](https://github.com/hyperledger/indy-sdk). To learn more about VON and what's happening with decentralized identity in British Columbia, please go to [https://vonx.io](https://vonx.io).

## Contributing

Pull requests are welcome! Please read our [contributions guide](https://github.com/hyperledger/anoncreds-rs/blob/main/CONTRIBUTING.md) and submit your PRs. We enforce [developer certificate of origin](https://developercertificate.org/) (DCO) commit signing. See guidance [here](https://github.com/apps/dco).

We also welcome issues submitted about problems you encounter in using `anoncreds`.

## License

[Apache License Version 2.0](https://github.com/hyperledger/anoncreds-rs/blob/main/LICENSE)
